const char* gl2string(uint32_t value)
{
switch(value)
{
		case 0x0000: return "GL_POINTS";
		case 0x0001: return "GL_LINES";
		case 0x0002: return "GL_LINE_LOOP";
		case 0x0003: return "GL_LINE_STRIP";
		case 0x0004: return "GL_TRIANGLES";
		case 0x0005: return "GL_TRIANGLE_STRIP";
		case 0x0006: return "GL_TRIANGLE_FAN";
		case 0x0007: return "GL_QUADS";
		case 0x0008: return "GL_QUAD_STRIP";
		case 0x0009: return "GL_POLYGON";
                case 0x0100: return "GL_ACCUM";
                case 0x0101: return "GL_LOAD";
                case 0x0102: return "GL_RETURN";
                case 0x0103: return "GL_MULT";
                case 0x0104: return "GL_ADD";
                case 0x0200: return "GL_NEVER";
                case 0x0201: return "GL_LESS";
                case 0x0202: return "GL_EQUAL";
                case 0x0203: return "GL_LEQUAL";
                case 0x0204: return "GL_GREATER";
                case 0x0205: return "GL_NOTEQUAL";
                case 0x0206: return "GL_GEQUAL";
                case 0x0207: return "GL_ALWAYS";
		case 0x0300: return "GL_SRC_COLOR";
		case 0x0301: return "GL_ONE_MINUS_SRC_COLOR";
		case 0x0302: return "GL_SRC_ALPHA";
		case 0x0303: return "GL_ONE_MINUS_SRC_ALPHA";
		case 0x0304: return "GL_DST_ALPHA";
		case 0x0305: return "GL_ONE_MINUS_DST_ALPHA";
		case 0x0306: return "GL_DST_COLOR";
		case 0x0307: return "GL_ONE_MINUS_DST_COLOR";
		case 0x0308: return "GL_SRC_ALPHA_SATURATE";
		case 0x3000: return "GL_CLIP_PLANE0";
		case 0x3001: return "GL_CLIP_PLANE1";
		case 0x3002: return "GL_CLIP_PLANE2";
		case 0x3003: return "GL_CLIP_PLANE3";
		case 0x3004: return "GL_CLIP_PLANE4";
		case 0x3005: return "GL_CLIP_PLANE5";
		case 0x1400: return "GL_BYTE";
		case 0x1401: return "GL_UNSIGNED_BYTE";
		case 0x1402: return "GL_SHORT";
		case 0x1403: return "GL_UNSIGNED_SHORT";
		case 0x1404: return "GL_INT";
		case 0x1405: return "GL_UNSIGNED_INT";
		case 0x1406: return "GL_FLOAT";
		case 0x1407: return "GL_2_BYTES";
		case 0x1408: return "GL_3_BYTES";
		case 0x1409: return "GL_4_BYTES";
		case 0x140A: return "GL_DOUBLE";
		case 0x0400: return "GL_FRONT_LEFT";
		case 0x0401: return "GL_FRONT_RIGHT";
		case 0x0402: return "GL_BACK_LEFT";
		case 0x0403: return "GL_BACK_RIGHT";
		case 0x0404: return "GL_FRONT";
		case 0x0405: return "GL_BACK";
		case 0x0406: return "GL_LEFT";
		case 0x0407: return "GL_RIGHT";
		case 0x0408: return "GL_FRONT_AND_BACK";
		case 0x0409: return "GL_AUX0";
		case 0x040A: return "GL_AUX1";
		case 0x040B: return "GL_AUX2";
		case 0x040C: return "GL_AUX3";
		case 0x0500: return "GL_INVALID_ENUM";
		case 0x0501: return "GL_INVALID_VALUE";
		case 0x0502: return "GL_INVALID_OPERATION";
		case 0x0503: return "GL_STACK_OVERFLOW";
		case 0x0504: return "GL_STACK_UNDERFLOW";
		case 0x0505: return "GL_OUT_OF_MEMORY";
		case 0x0600: return "GL_2D";
		case 0x0601: return "GL_3D";
		case 0x0602: return "GL_3D_COLOR";
		case 0x0603: return "GL_3D_COLOR_TEXTURE";
		case 0x0604: return "GL_4D_COLOR_TEXTURE";
		case 0x0700: return "GL_PASS_THROUGH_TOKEN";
		case 0x0701: return "GL_POINT_TOKEN";
		case 0x0702: return "GL_LINE_TOKEN";
		case 0x0703: return "GL_POLYGON_TOKEN";
		case 0x0704: return "GL_BITMAP_TOKEN";
		case 0x0705: return "GL_DRAW_PIXEL_TOKEN";
		case 0x0706: return "GL_COPY_PIXEL_TOKEN";
		case 0x0707: return "GL_LINE_RESET_TOKEN";
		case 0x0800: return "GL_EXP";
		case 0x0801: return "GL_EXP2";
		case 0x0900: return "GL_CW";
		case 0x0901: return "GL_CCW";
		case 0x0A00: return "GL_COEFF";
		case 0x0A01: return "GL_ORDER";
		case 0x0A02: return "GL_DOMAIN";
		case 0x0B00: return "GL_CURRENT_COLOR";
		case 0x0B01: return "GL_CURRENT_INDEX";
		case 0x0B02: return "GL_CURRENT_NORMAL";
		case 0x0B03: return "GL_CURRENT_TEXTURE_COORDS";
		case 0x0B04: return "GL_CURRENT_RASTER_COLOR";
		case 0x0B05: return "GL_CURRENT_RASTER_INDEX";
		case 0x0B06: return "GL_CURRENT_RASTER_TEXTURE_COORDS";
		case 0x0B07: return "GL_CURRENT_RASTER_POSITION";
		case 0x0B08: return "GL_CURRENT_RASTER_POSITION_VALID";
		case 0x0B09: return "GL_CURRENT_RASTER_DISTANCE";
		case 0x0B10: return "GL_POINT_SMOOTH";
		case 0x0B11: return "GL_POINT_SIZE";
		case 0x0B12: return "GL_POINT_SIZE_RANGE";
		case 0x0B13: return "GL_POINT_SIZE_GRANULARITY";
		case 0x0B20: return "GL_LINE_SMOOTH";
		case 0x0B21: return "GL_LINE_WIDTH";
		case 0x0B22: return "GL_LINE_WIDTH_RANGE";
		case 0x0B23: return "GL_LINE_WIDTH_GRANULARITY";
		case 0x0B24: return "GL_LINE_STIPPLE";
		case 0x0B25: return "GL_LINE_STIPPLE_PATTERN";
		case 0x0B26: return "GL_LINE_STIPPLE_REPEAT";
		case 0x0B30: return "GL_LIST_MODE";
		case 0x0B31: return "GL_MAX_LIST_NESTING";
		case 0x0B32: return "GL_LIST_BASE";
		case 0x0B33: return "GL_LIST_INDEX";
		case 0x0B40: return "GL_POLYGON_MODE";
		case 0x0B41: return "GL_POLYGON_SMOOTH";
		case 0x0B42: return "GL_POLYGON_STIPPLE";
		case 0x0B43: return "GL_EDGE_FLAG";
		case 0x0B44: return "GL_CULL_FACE";
		case 0x0B45: return "GL_CULL_FACE_MODE";
		case 0x0B46: return "GL_FRONT_FACE";
		case 0x0B50: return "GL_LIGHTING";
		case 0x0B51: return "GL_LIGHT_MODEL_LOCAL_VIEWER";
		case 0x0B52: return "GL_LIGHT_MODEL_TWO_SIDE";
		case 0x0B53: return "GL_LIGHT_MODEL_AMBIENT";
		case 0x0B54: return "GL_SHADE_MODEL";
		case 0x0B55: return "GL_COLOR_MATERIAL_FACE";
		case 0x0B56: return "GL_COLOR_MATERIAL_PARAMETER";
		case 0x0B57: return "GL_COLOR_MATERIAL";
		case 0x0B60: return "GL_FOG";
		case 0x0B61: return "GL_FOG_INDEX";
		case 0x0B62: return "GL_FOG_DENSITY";
		case 0x0B63: return "GL_FOG_START";
		case 0x0B64: return "GL_FOG_END";
		case 0x0B65: return "GL_FOG_MODE";
		case 0x0B66: return "GL_FOG_COLOR";
		case 0x0B70: return "GL_DEPTH_RANGE";
		case 0x0B71: return "GL_DEPTH_TEST";
		case 0x0B72: return "GL_DEPTH_WRITEMASK";
		case 0x0B73: return "GL_DEPTH_CLEAR_VALUE";
		case 0x0B74: return "GL_DEPTH_FUNC";
		case 0x0B80: return "GL_ACCUM_CLEAR_VALUE";
		case 0x0B90: return "GL_STENCIL_TEST";
		case 0x0B91: return "GL_STENCIL_CLEAR_VALUE";
		case 0x0B92: return "GL_STENCIL_FUNC";
		case 0x0B93: return "GL_STENCIL_VALUE_MASK";
		case 0x0B94: return "GL_STENCIL_FAIL";
		case 0x0B95: return "GL_STENCIL_PASS_DEPTH_FAIL";
		case 0x0B96: return "GL_STENCIL_PASS_DEPTH_PASS";
		case 0x0B97: return "GL_STENCIL_REF";
		case 0x0B98: return "GL_STENCIL_WRITEMASK";
		case 0x0BA0: return "GL_MATRIX_MODE";
		case 0x0BA1: return "GL_NORMALIZE";
		case 0x0BA2: return "GL_VIEWPORT";
		case 0x0BA3: return "GL_MODELVIEW_STACK_DEPTH";
		case 0x0BA4: return "GL_PROJECTION_STACK_DEPTH";
		case 0x0BA5: return "GL_TEXTURE_STACK_DEPTH";
		case 0x0BA6: return "GL_MODELVIEW_MATRIX";
		case 0x0BA7: return "GL_PROJECTION_MATRIX";
		case 0x0BA8: return "GL_TEXTURE_MATRIX";
		case 0x0BB0: return "GL_ATTRIB_STACK_DEPTH";
		case 0x0BB1: return "GL_CLIENT_ATTRIB_STACK_DEPTH";
		case 0x0BC0: return "GL_ALPHA_TEST";
		case 0x0BC1: return "GL_ALPHA_TEST_FUNC";
		case 0x0BC2: return "GL_ALPHA_TEST_REF";
		case 0x0BD0: return "GL_DITHER";
		case 0x0BE0: return "GL_BLEND_DST";
		case 0x0BE1: return "GL_BLEND_SRC";
		case 0x0BE2: return "GL_BLEND";
		case 0x0BF0: return "GL_LOGIC_OP_MODE";
		case 0x0BF1: return "GL_INDEX_LOGIC_OP";
		case 0x0BF2: return "GL_COLOR_LOGIC_OP";
		case 0x0C00: return "GL_AUX_BUFFERS";
		case 0x0C01: return "GL_DRAW_BUFFER";
		case 0x0C02: return "GL_READ_BUFFER";
		case 0x0C10: return "GL_SCISSOR_BOX";
		case 0x0C11: return "GL_SCISSOR_TEST";
		case 0x0C20: return "GL_INDEX_CLEAR_VALUE";
		case 0x0C21: return "GL_INDEX_WRITEMASK";
		case 0x0C22: return "GL_COLOR_CLEAR_VALUE";
		case 0x0C23: return "GL_COLOR_WRITEMASK";
		case 0x0C30: return "GL_INDEX_MODE";
		case 0x0C31: return "GL_RGBA_MODE";
		case 0x0C32: return "GL_DOUBLEBUFFER";
		case 0x0C33: return "GL_STEREO";
		case 0x0C40: return "GL_RENDER_MODE";
		case 0x0C50: return "GL_PERSPECTIVE_CORRECTION_HINT";
		case 0x0C51: return "GL_POINT_SMOOTH_HINT";
		case 0x0C52: return "GL_LINE_SMOOTH_HINT";
		case 0x0C53: return "GL_POLYGON_SMOOTH_HINT";
		case 0x0C54: return "GL_FOG_HINT";
		case 0x0C60: return "GL_TEXTURE_GEN_S";
		case 0x0C61: return "GL_TEXTURE_GEN_T";
		case 0x0C62: return "GL_TEXTURE_GEN_R";
		case 0x0C63: return "GL_TEXTURE_GEN_Q";
		case 0x0C70: return "GL_PIXEL_MAP_I_TO_I";
		case 0x0C71: return "GL_PIXEL_MAP_S_TO_S";
		case 0x0C72: return "GL_PIXEL_MAP_I_TO_R";
		case 0x0C73: return "GL_PIXEL_MAP_I_TO_G";
		case 0x0C74: return "GL_PIXEL_MAP_I_TO_B";
		case 0x0C75: return "GL_PIXEL_MAP_I_TO_A";
		case 0x0C76: return "GL_PIXEL_MAP_R_TO_R";
		case 0x0C77: return "GL_PIXEL_MAP_G_TO_G";
		case 0x0C78: return "GL_PIXEL_MAP_B_TO_B";
		case 0x0C79: return "GL_PIXEL_MAP_A_TO_A";
		case 0x0CB0: return "GL_PIXEL_MAP_I_TO_I_SIZE";
		case 0x0CB1: return "GL_PIXEL_MAP_S_TO_S_SIZE";
		case 0x0CB2: return "GL_PIXEL_MAP_I_TO_R_SIZE";
		case 0x0CB3: return "GL_PIXEL_MAP_I_TO_G_SIZE";
		case 0x0CB4: return "GL_PIXEL_MAP_I_TO_B_SIZE";
		case 0x0CB5: return "GL_PIXEL_MAP_I_TO_A_SIZE";
		case 0x0CB6: return "GL_PIXEL_MAP_R_TO_R_SIZE";
		case 0x0CB7: return "GL_PIXEL_MAP_G_TO_G_SIZE";
		case 0x0CB8: return "GL_PIXEL_MAP_B_TO_B_SIZE";
		case 0x0CB9: return "GL_PIXEL_MAP_A_TO_A_SIZE";
		case 0x0CF0: return "GL_UNPACK_SWAP_BYTES";
		case 0x0CF1: return "GL_UNPACK_LSB_FIRST";
		case 0x0CF2: return "GL_UNPACK_ROW_LENGTH";
		case 0x0CF3: return "GL_UNPACK_SKIP_ROWS";
		case 0x0CF4: return "GL_UNPACK_SKIP_PIXELS";
		case 0x0CF5: return "GL_UNPACK_ALIGNMENT";
		case 0x0D00: return "GL_PACK_SWAP_BYTES";
		case 0x0D01: return "GL_PACK_LSB_FIRST";
		case 0x0D02: return "GL_PACK_ROW_LENGTH";
		case 0x0D03: return "GL_PACK_SKIP_ROWS";
		case 0x0D04: return "GL_PACK_SKIP_PIXELS";
		case 0x0D05: return "GL_PACK_ALIGNMENT";
		case 0x0D10: return "GL_MAP_COLOR";
		case 0x0D11: return "GL_MAP_STENCIL";
		case 0x0D12: return "GL_INDEX_SHIFT";
		case 0x0D13: return "GL_INDEX_OFFSET";
		case 0x0D14: return "GL_RED_SCALE";
		case 0x0D15: return "GL_RED_BIAS";
		case 0x0D16: return "GL_ZOOM_X";
		case 0x0D17: return "GL_ZOOM_Y";
		case 0x0D18: return "GL_GREEN_SCALE";
		case 0x0D19: return "GL_GREEN_BIAS";
		case 0x0D1A: return "GL_BLUE_SCALE";
		case 0x0D1B: return "GL_BLUE_BIAS";
		case 0x0D1C: return "GL_ALPHA_SCALE";
		case 0x0D1D: return "GL_ALPHA_BIAS";
		case 0x0D1E: return "GL_DEPTH_SCALE";
		case 0x0D1F: return "GL_DEPTH_BIAS";
		case 0x0D30: return "GL_MAX_EVAL_ORDER";
		case 0x0D31: return "GL_MAX_LIGHTS";
		case 0x0D32: return "GL_MAX_CLIP_PLANES";
		case 0x0D33: return "GL_MAX_TEXTURE_SIZE";
		case 0x0D34: return "GL_MAX_PIXEL_MAP_TABLE";
		case 0x0D35: return "GL_MAX_ATTRIB_STACK_DEPTH";
		case 0x0D36: return "GL_MAX_MODELVIEW_STACK_DEPTH";
		case 0x0D37: return "GL_MAX_NAME_STACK_DEPTH";
		case 0x0D38: return "GL_MAX_PROJECTION_STACK_DEPTH";
		case 0x0D39: return "GL_MAX_TEXTURE_STACK_DEPTH";
		case 0x0D3A: return "GL_MAX_VIEWPORT_DIMS";
		case 0x0D3B: return "GL_MAX_CLIENT_ATTRIB_STACK_DEPTH";
		case 0x0D50: return "GL_SUBPIXEL_BITS";
		case 0x0D51: return "GL_INDEX_BITS";
		case 0x0D52: return "GL_RED_BITS";
		case 0x0D53: return "GL_GREEN_BITS";
		case 0x0D54: return "GL_BLUE_BITS";
		case 0x0D55: return "GL_ALPHA_BITS";
		case 0x0D56: return "GL_DEPTH_BITS";
		case 0x0D57: return "GL_STENCIL_BITS";
		case 0x0D58: return "GL_ACCUM_RED_BITS";
		case 0x0D59: return "GL_ACCUM_GREEN_BITS";
		case 0x0D5A: return "GL_ACCUM_BLUE_BITS";
		case 0x0D5B: return "GL_ACCUM_ALPHA_BITS";
		case 0x0D70: return "GL_NAME_STACK_DEPTH";
		case 0x0D80: return "GL_AUTO_NORMAL";
		case 0x0D90: return "GL_MAP1_COLOR_4";
		case 0x0D91: return "GL_MAP1_INDEX";
		case 0x0D92: return "GL_MAP1_NORMAL";
		case 0x0D93: return "GL_MAP1_TEXTURE_COORD_1";
		case 0x0D94: return "GL_MAP1_TEXTURE_COORD_2";
		case 0x0D95: return "GL_MAP1_TEXTURE_COORD_3";
		case 0x0D96: return "GL_MAP1_TEXTURE_COORD_4";
		case 0x0D97: return "GL_MAP1_VERTEX_3";
		case 0x0D98: return "GL_MAP1_VERTEX_4";
		case 0x0DB0: return "GL_MAP2_COLOR_4";
		case 0x0DB1: return "GL_MAP2_INDEX";
		case 0x0DB2: return "GL_MAP2_NORMAL";
		case 0x0DB3: return "GL_MAP2_TEXTURE_COORD_1";
		case 0x0DB4: return "GL_MAP2_TEXTURE_COORD_2";
		case 0x0DB5: return "GL_MAP2_TEXTURE_COORD_3";
		case 0x0DB6: return "GL_MAP2_TEXTURE_COORD_4";
		case 0x0DB7: return "GL_MAP2_VERTEX_3";
		case 0x0DB8: return "GL_MAP2_VERTEX_4";
		case 0x0DD0: return "GL_MAP1_GRID_DOMAIN";
		case 0x0DD1: return "GL_MAP1_GRID_SEGMENTS";
		case 0x0DD2: return "GL_MAP2_GRID_DOMAIN";
		case 0x0DD3: return "GL_MAP2_GRID_SEGMENTS";
		case 0x0DE0: return "GL_TEXTURE_1D";
		case 0x0DE1: return "GL_TEXTURE_2D";
		case 0x0DF0: return "GL_FEEDBACK_BUFFER_POINTER";
		case 0x0DF1: return "GL_FEEDBACK_BUFFER_SIZE";
		case 0x0DF2: return "GL_FEEDBACK_BUFFER_TYPE";
		case 0x0DF3: return "GL_SELECTION_BUFFER_POINTER";
		case 0x0DF4: return "GL_SELECTION_BUFFER_SIZE";
		case 0x1000: return "GL_TEXTURE_WIDTH";
		case 0x1001: return "GL_TEXTURE_HEIGHT";
		case 0x1003: return "GL_TEXTURE_INTERNAL_FORMAT";
		case 0x1004: return "GL_TEXTURE_BORDER_COLOR";
		case 0x1005: return "GL_TEXTURE_BORDER";
		case 0x1100: return "GL_DONT_CARE";
		case 0x1101: return "GL_FASTEST";
		case 0x1102: return "GL_NICEST";
		case 0x4000: return "GL_LIGHT0";
		case 0x4001: return "GL_LIGHT1";
		case 0x4002: return "GL_LIGHT2";
		case 0x4003: return "GL_LIGHT3";
		case 0x4004: return "GL_LIGHT4";
		case 0x4005: return "GL_LIGHT5";
		case 0x4006: return "GL_LIGHT6";
		case 0x4007: return "GL_LIGHT7";
		case 0x1200: return "GL_AMBIENT";
		case 0x1201: return "GL_DIFFUSE";
		case 0x1202: return "GL_SPECULAR";
		case 0x1203: return "GL_POSITION";
		case 0x1204: return "GL_SPOT_DIRECTION";
		case 0x1205: return "GL_SPOT_EXPONENT";
		case 0x1206: return "GL_SPOT_CUTOFF";
		case 0x1207: return "GL_CONSTANT_ATTENUATION";
		case 0x1208: return "GL_LINEAR_ATTENUATION";
		case 0x1209: return "GL_QUADRATIC_ATTENUATION";
		case 0x1300: return "GL_COMPILE";
		case 0x1301: return "GL_COMPILE_AND_EXECUTE";
		case 0x1500: return "GL_CLEAR";
		case 0x1501: return "GL_AND";
		case 0x1502: return "GL_AND_REVERSE";
		case 0x1503: return "GL_COPY";
		case 0x1504: return "GL_AND_INVERTED";
		case 0x1505: return "GL_NOOP";
		case 0x1506: return "GL_XOR";
		case 0x1507: return "GL_OR";
		case 0x1508: return "GL_NOR";
		case 0x1509: return "GL_EQUIV";
		case 0x150A: return "GL_INVERT";
		case 0x150B: return "GL_OR_REVERSE";
		case 0x150C: return "GL_COPY_INVERTED";
		case 0x150D: return "GL_OR_INVERTED";
		case 0x150E: return "GL_NAND";
		case 0x150F: return "GL_SET";
		case 0x1600: return "GL_EMISSION";
		case 0x1601: return "GL_SHININESS";
		case 0x1602: return "GL_AMBIENT_AND_DIFFUSE";
		case 0x1603: return "GL_COLOR_INDEXES";
		case 0x1700: return "GL_MODELVIEW";
		case 0x1701: return "GL_PROJECTION";
		case 0x1702: return "GL_TEXTURE";
		case 0x1800: return "GL_COLOR";
		case 0x1801: return "GL_DEPTH";
		case 0x1802: return "GL_STENCIL";
		case 0x1900: return "GL_COLOR_INDEX";
		case 0x1901: return "GL_STENCIL_INDEX";
		case 0x1902: return "GL_DEPTH_COMPONENT";
		case 0x1903: return "GL_RED";
		case 0x1904: return "GL_GREEN";
		case 0x1905: return "GL_BLUE";
		case 0x1906: return "GL_ALPHA";
		case 0x1907: return "GL_RGB";
		case 0x1908: return "GL_RGBA";
		case 0x1909: return "GL_LUMINANCE";
		case 0x190A: return "GL_LUMINANCE_ALPHA";
		case 0x1A00: return "GL_BITMAP";
		case 0x1B00: return "GL_POINT";
		case 0x1B01: return "GL_LINE";
		case 0x1B02: return "GL_FILL";
		case 0x1C00: return "GL_RENDER";
		case 0x1C01: return "GL_FEEDBACK";
		case 0x1C02: return "GL_SELECT";
		case 0x1D00: return "GL_FLAT";
		case 0x1D01: return "GL_SMOOTH";
		case 0x1E00: return "GL_KEEP";
		case 0x1E01: return "GL_REPLACE";
		case 0x1E02: return "GL_INCR";
		case 0x1E03: return "GL_DECR";
		case 0x1F00: return "GL_VENDOR";
		case 0x1F01: return "GL_RENDERER";
		case 0x1F02: return "GL_VERSION";
		case 0x1F03: return "GL_EXTENSIONS";
		case 0x2000: return "GL_S";
		case 0x2001: return "GL_T";
		case 0x2002: return "GL_R";
		case 0x2003: return "GL_Q";
		case 0x2100: return "GL_MODULATE";
		case 0x2101: return "GL_DECAL";
		case 0x2200: return "GL_TEXTURE_ENV_MODE";
		case 0x2201: return "GL_TEXTURE_ENV_COLOR";
		case 0x2300: return "GL_TEXTURE_ENV";
		case 0x2400: return "GL_EYE_LINEAR";
		case 0x2401: return "GL_OBJECT_LINEAR";
		case 0x2402: return "GL_SPHERE_MAP";
		case 0x2500: return "GL_TEXTURE_GEN_MODE";
		case 0x2501: return "GL_OBJECT_PLANE";
		case 0x2502: return "GL_EYE_PLANE";
		case 0x2600: return "GL_NEAREST";
		case 0x2601: return "GL_LINEAR";
		case 0x2700: return "GL_NEAREST_MIPMAP_NEAREST";
		case 0x2701: return "GL_LINEAR_MIPMAP_NEAREST";
		case 0x2702: return "GL_NEAREST_MIPMAP_LINEAR";
		case 0x2703: return "GL_LINEAR_MIPMAP_LINEAR";
		case 0x2800: return "GL_TEXTURE_MAG_FILTER";
		case 0x2801: return "GL_TEXTURE_MIN_FILTER";
		case 0x2802: return "GL_TEXTURE_WRAP_S";
		case 0x2803: return "GL_TEXTURE_WRAP_T";
		case 0x2900: return "GL_CLAMP";
		case 0x2901: return "GL_REPEAT";
		case 0x8038: return "GL_POLYGON_OFFSET_FACTOR";
		case 0x2A00: return "GL_POLYGON_OFFSET_UNITS";
		case 0x2A01: return "GL_POLYGON_OFFSET_POINT";
		case 0x2A02: return "GL_POLYGON_OFFSET_LINE";
		case 0x8037: return "GL_POLYGON_OFFSET_FILL";
		case 0x803B: return "GL_ALPHA4";
		case 0x803C: return "GL_ALPHA8";
		case 0x803D: return "GL_ALPHA12";
		case 0x803E: return "GL_ALPHA16";
		case 0x803F: return "GL_LUMINANCE4";
		case 0x8040: return "GL_LUMINANCE8";
		case 0x8041: return "GL_LUMINANCE12";
		case 0x8042: return "GL_LUMINANCE16";
		case 0x8043: return "GL_LUMINANCE4_ALPHA4";
		case 0x8044: return "GL_LUMINANCE6_ALPHA2";
		case 0x8045: return "GL_LUMINANCE8_ALPHA8";
		case 0x8046: return "GL_LUMINANCE12_ALPHA4";
		case 0x8047: return "GL_LUMINANCE12_ALPHA12";
		case 0x8048: return "GL_LUMINANCE16_ALPHA16";
		case 0x8049: return "GL_INTENSITY";
		case 0x804A: return "GL_INTENSITY4";
		case 0x804B: return "GL_INTENSITY8";
		case 0x804C: return "GL_INTENSITY12";
		case 0x804D: return "GL_INTENSITY16";
		case 0x2A10: return "GL_R3_G3_B2";
		case 0x804F: return "GL_RGB4";
		case 0x8050: return "GL_RGB5";
		case 0x8051: return "GL_RGB8";
		case 0x8052: return "GL_RGB10";
		case 0x8053: return "GL_RGB12";
		case 0x8054: return "GL_RGB16";
		case 0x8055: return "GL_RGBA2";
		case 0x8056: return "GL_RGBA4";
		case 0x8057: return "GL_RGB5_A1";
		case 0x8058: return "GL_RGBA8";
		case 0x8059: return "GL_RGB10_A2";
		case 0x805A: return "GL_RGBA12";
		case 0x805B: return "GL_RGBA16";
		case 0x805C: return "GL_TEXTURE_RED_SIZE";
		case 0x805D: return "GL_TEXTURE_GREEN_SIZE";
		case 0x805E: return "GL_TEXTURE_BLUE_SIZE";
		case 0x805F: return "GL_TEXTURE_ALPHA_SIZE";
		case 0x8060: return "GL_TEXTURE_LUMINANCE_SIZE";
		case 0x8061: return "GL_TEXTURE_INTENSITY_SIZE";
		case 0x8063: return "GL_PROXY_TEXTURE_1D";
		case 0x8064: return "GL_PROXY_TEXTURE_2D";
		case 0x8066: return "GL_TEXTURE_PRIORITY";
		case 0x8067: return "GL_TEXTURE_RESIDENT";
		case 0x8068: return "GL_TEXTURE_BINDING_1D";
		case 0x8069: return "GL_TEXTURE_BINDING_2D";
		case 0x8074: return "GL_VERTEX_ARRAY";
		case 0x8075: return "GL_NORMAL_ARRAY";
		case 0x8076: return "GL_COLOR_ARRAY";
		case 0x8077: return "GL_INDEX_ARRAY";
		case 0x8078: return "GL_TEXTURE_COORD_ARRAY";
		case 0x8079: return "GL_EDGE_FLAG_ARRAY";
		case 0x807A: return "GL_VERTEX_ARRAY_SIZE";
		case 0x807B: return "GL_VERTEX_ARRAY_TYPE";
		case 0x807C: return "GL_VERTEX_ARRAY_STRIDE";
		case 0x807E: return "GL_NORMAL_ARRAY_TYPE";
		case 0x807F: return "GL_NORMAL_ARRAY_STRIDE";
		case 0x8081: return "GL_COLOR_ARRAY_SIZE";
		case 0x8082: return "GL_COLOR_ARRAY_TYPE";
		case 0x8083: return "GL_COLOR_ARRAY_STRIDE";
		case 0x8085: return "GL_INDEX_ARRAY_TYPE";
		case 0x8086: return "GL_INDEX_ARRAY_STRIDE";
		case 0x8088: return "GL_TEXTURE_COORD_ARRAY_SIZE";
		case 0x8089: return "GL_TEXTURE_COORD_ARRAY_TYPE";
		case 0x808A: return "GL_TEXTURE_COORD_ARRAY_STRIDE";
		case 0x808C: return "GL_EDGE_FLAG_ARRAY_STRIDE";
		case 0x808E: return "GL_VERTEX_ARRAY_POINTER";
		case 0x808F: return "GL_NORMAL_ARRAY_POINTER";
		case 0x8090: return "GL_COLOR_ARRAY_POINTER";
		case 0x8091: return "GL_INDEX_ARRAY_POINTER";
		case 0x8092: return "GL_TEXTURE_COORD_ARRAY_POINTER";
		case 0x8093: return "GL_EDGE_FLAG_ARRAY_POINTER";
		case 0x2A20: return "GL_V2F";
		case 0x2A21: return "GL_V3F";
		case 0x2A22: return "GL_C4UB_V2F";
		case 0x2A23: return "GL_C4UB_V3F";
		case 0x2A24: return "GL_C3F_V3F";
		case 0x2A25: return "GL_N3F_V3F";
		case 0x2A26: return "GL_C4F_N3F_V3F";
		case 0x2A27: return "GL_T2F_V3F";
		case 0x2A28: return "GL_T4F_V4F";
		case 0x2A29: return "GL_T2F_C4UB_V3F";
		case 0x2A2A: return "GL_T2F_C3F_V3F";
		case 0x2A2B: return "GL_T2F_N3F_V3F";
		case 0x2A2C: return "GL_T2F_C4F_N3F_V3F";
		case 0x2A2D: return "GL_T4F_C4F_N3F_V4F";
		case 0x80E2: return "GL_COLOR_INDEX1_EXT";
		case 0x80E3: return "GL_COLOR_INDEX2_EXT";
		case 0x80E4: return "GL_COLOR_INDEX4_EXT";
		case 0x80E5: return "GL_COLOR_INDEX8_EXT";
		case 0x80E6: return "GL_COLOR_INDEX12_EXT";
		case 0x80E7: return "GL_COLOR_INDEX16_EXT";
		case 0x8032: return "GL_UNSIGNED_BYTE_3_3_2";
		case 0x8033: return "GL_UNSIGNED_SHORT_4_4_4_4";
		case 0x8034: return "GL_UNSIGNED_SHORT_5_5_5_1";
		case 0x8035: return "GL_UNSIGNED_INT_8_8_8_8";
		case 0x8036: return "GL_UNSIGNED_INT_10_10_10_2";
		case 0x803A: return "GL_RESCALE_NORMAL";
		case 0x806A: return "GL_TEXTURE_BINDING_3D";
		case 0x806B: return "GL_PACK_SKIP_IMAGES";
		case 0x806C: return "GL_PACK_IMAGE_HEIGHT";
		case 0x806D: return "GL_UNPACK_SKIP_IMAGES";
		case 0x806E: return "GL_UNPACK_IMAGE_HEIGHT";
		case 0x806F: return "GL_TEXTURE_3D";
		case 0x8070: return "GL_PROXY_TEXTURE_3D";
		case 0x8071: return "GL_TEXTURE_DEPTH";
		case 0x8072: return "GL_TEXTURE_WRAP_R";
		case 0x8073: return "GL_MAX_3D_TEXTURE_SIZE";
		case 0x80E0: return "GL_BGR";
		case 0x80E1: return "GL_BGRA";
		case 0x80E8: return "GL_MAX_ELEMENTS_VERTICES";
		case 0x80E9: return "GL_MAX_ELEMENTS_INDICES";
		case 0x812F: return "GL_CLAMP_TO_EDGE";
		case 0x813A: return "GL_TEXTURE_MIN_LOD";
		case 0x813B: return "GL_TEXTURE_MAX_LOD";
		case 0x813C: return "GL_TEXTURE_BASE_LEVEL";
		case 0x813D: return "GL_TEXTURE_MAX_LEVEL";
		case 0x81F8: return "GL_LIGHT_MODEL_COLOR_CONTROL";
		case 0x81F9: return "GL_SINGLE_COLOR";
		case 0x81FA: return "GL_SEPARATE_SPECULAR_COLOR";
		case 0x8362: return "GL_UNSIGNED_BYTE_2_3_3_REV";
		case 0x8363: return "GL_UNSIGNED_SHORT_5_6_5";
		case 0x8364: return "GL_UNSIGNED_SHORT_5_6_5_REV";
		case 0x8365: return "GL_UNSIGNED_SHORT_4_4_4_4_REV";
		case 0x8366: return "GL_UNSIGNED_SHORT_1_5_5_5_REV";
		case 0x8367: return "GL_UNSIGNED_INT_8_8_8_8_REV";
		case 0x8368: return "GL_UNSIGNED_INT_2_10_10_10_REV";
		case 0x846D: return "GL_ALIASED_POINT_SIZE_RANGE";
		case 0x846E: return "GL_ALIASED_LINE_WIDTH_RANGE";
		case 0x809D: return "GL_MULTISAMPLE";
		case 0x809E: return "GL_SAMPLE_ALPHA_TO_COVERAGE";
		case 0x809F: return "GL_SAMPLE_ALPHA_TO_ONE";
		case 0x80A0: return "GL_SAMPLE_COVERAGE";
		case 0x80A8: return "GL_SAMPLE_BUFFERS";
		case 0x80A9: return "GL_SAMPLES";
		case 0x80AA: return "GL_SAMPLE_COVERAGE_VALUE";
		case 0x80AB: return "GL_SAMPLE_COVERAGE_INVERT";
		case 0x812D: return "GL_CLAMP_TO_BORDER";
		case 0x84C0: return "GL_TEXTURE0";
		case 0x84C1: return "GL_TEXTURE1";
		case 0x84C2: return "GL_TEXTURE2";
		case 0x84C3: return "GL_TEXTURE3";
		case 0x84C4: return "GL_TEXTURE4";
		case 0x84C5: return "GL_TEXTURE5";
		case 0x84C6: return "GL_TEXTURE6";
		case 0x84C7: return "GL_TEXTURE7";
		case 0x84C8: return "GL_TEXTURE8";
		case 0x84C9: return "GL_TEXTURE9";
		case 0x84CA: return "GL_TEXTURE10";
		case 0x84CB: return "GL_TEXTURE11";
		case 0x84CC: return "GL_TEXTURE12";
		case 0x84CD: return "GL_TEXTURE13";
		case 0x84CE: return "GL_TEXTURE14";
		case 0x84CF: return "GL_TEXTURE15";
		case 0x84D0: return "GL_TEXTURE16";
		case 0x84D1: return "GL_TEXTURE17";
		case 0x84D2: return "GL_TEXTURE18";
		case 0x84D3: return "GL_TEXTURE19";
		case 0x84D4: return "GL_TEXTURE20";
		case 0x84D5: return "GL_TEXTURE21";
		case 0x84D6: return "GL_TEXTURE22";
		case 0x84D7: return "GL_TEXTURE23";
		case 0x84D8: return "GL_TEXTURE24";
		case 0x84D9: return "GL_TEXTURE25";
		case 0x84DA: return "GL_TEXTURE26";
		case 0x84DB: return "GL_TEXTURE27";
		case 0x84DC: return "GL_TEXTURE28";
		case 0x84DD: return "GL_TEXTURE29";
		case 0x84DE: return "GL_TEXTURE30";
		case 0x84DF: return "GL_TEXTURE31";
		case 0x84E0: return "GL_ACTIVE_TEXTURE";
		case 0x84E1: return "GL_CLIENT_ACTIVE_TEXTURE";
		case 0x84E2: return "GL_MAX_TEXTURE_UNITS";
		case 0x84E3: return "GL_TRANSPOSE_MODELVIEW_MATRIX";
		case 0x84E4: return "GL_TRANSPOSE_PROJECTION_MATRIX";
		case 0x84E5: return "GL_TRANSPOSE_TEXTURE_MATRIX";
		case 0x84E6: return "GL_TRANSPOSE_COLOR_MATRIX";
		case 0x84E7: return "GL_SUBTRACT";
		case 0x84E9: return "GL_COMPRESSED_ALPHA";
		case 0x84EA: return "GL_COMPRESSED_LUMINANCE";
		case 0x84EB: return "GL_COMPRESSED_LUMINANCE_ALPHA";
		case 0x84EC: return "GL_COMPRESSED_INTENSITY";
		case 0x84ED: return "GL_COMPRESSED_RGB";
		case 0x84EE: return "GL_COMPRESSED_RGBA";
		case 0x84EF: return "GL_TEXTURE_COMPRESSION_HINT";
		case 0x8511: return "GL_NORMAL_MAP";
		case 0x8512: return "GL_REFLECTION_MAP";
		case 0x8513: return "GL_TEXTURE_CUBE_MAP";
		case 0x8514: return "GL_TEXTURE_BINDING_CUBE_MAP";
		case 0x8515: return "GL_TEXTURE_CUBE_MAP_POSITIVE_X";
		case 0x8516: return "GL_TEXTURE_CUBE_MAP_NEGATIVE_X";
		case 0x8517: return "GL_TEXTURE_CUBE_MAP_POSITIVE_Y";
		case 0x8518: return "GL_TEXTURE_CUBE_MAP_NEGATIVE_Y";
		case 0x8519: return "GL_TEXTURE_CUBE_MAP_POSITIVE_Z";
		case 0x851A: return "GL_TEXTURE_CUBE_MAP_NEGATIVE_Z";
		case 0x851B: return "GL_PROXY_TEXTURE_CUBE_MAP";
		case 0x851C: return "GL_MAX_CUBE_MAP_TEXTURE_SIZE";
		case 0x8570: return "GL_COMBINE";
		case 0x8571: return "GL_COMBINE_RGB";
		case 0x8572: return "GL_COMBINE_ALPHA";
		case 0x8573: return "GL_RGB_SCALE";
		case 0x8574: return "GL_ADD_SIGNED";
		case 0x8575: return "GL_INTERPOLATE";
		case 0x8576: return "GL_CONSTANT";
		case 0x8577: return "GL_PRIMARY_COLOR";
		case 0x8578: return "GL_PREVIOUS";
		case 0x8580: return "GL_SOURCE0_RGB";
		case 0x8581: return "GL_SOURCE1_RGB";
		case 0x8582: return "GL_SOURCE2_RGB";
		case 0x8588: return "GL_SOURCE0_ALPHA";
		case 0x8589: return "GL_SOURCE1_ALPHA";
		case 0x858A: return "GL_SOURCE2_ALPHA";
		case 0x8590: return "GL_OPERAND0_RGB";
		case 0x8591: return "GL_OPERAND1_RGB";
		case 0x8592: return "GL_OPERAND2_RGB";
		case 0x8598: return "GL_OPERAND0_ALPHA";
		case 0x8599: return "GL_OPERAND1_ALPHA";
		case 0x859A: return "GL_OPERAND2_ALPHA";
		case 0x86A0: return "GL_TEXTURE_COMPRESSED_IMAGE_SIZE";
		case 0x86A1: return "GL_TEXTURE_COMPRESSED";
		case 0x86A2: return "GL_NUM_COMPRESSED_TEXTURE_FORMATS";
		case 0x86A3: return "GL_COMPRESSED_TEXTURE_FORMATS";
		case 0x86AE: return "GL_DOT3_RGB";
		case 0x86AF: return "GL_DOT3_RGBA";
		case 0x80C8: return "GL_BLEND_DST_RGB";
		case 0x80C9: return "GL_BLEND_SRC_RGB";
		case 0x80CA: return "GL_BLEND_DST_ALPHA";
		case 0x80CB: return "GL_BLEND_SRC_ALPHA";
		case 0x8126: return "GL_POINT_SIZE_MIN";
		case 0x8127: return "GL_POINT_SIZE_MAX";
		case 0x8128: return "GL_POINT_FADE_THRESHOLD_SIZE";
		case 0x8129: return "GL_POINT_DISTANCE_ATTENUATION";
		case 0x8191: return "GL_GENERATE_MIPMAP";
		case 0x8192: return "GL_GENERATE_MIPMAP_HINT";
		case 0x81A5: return "GL_DEPTH_COMPONENT16";
		case 0x81A6: return "GL_DEPTH_COMPONENT24";
		case 0x81A7: return "GL_DEPTH_COMPONENT32";
		case 0x8370: return "GL_MIRRORED_REPEAT";
		case 0x8450: return "GL_FOG_COORDINATE_SOURCE";
		case 0x8451: return "GL_FOG_COORDINATE";
		case 0x8452: return "GL_FRAGMENT_DEPTH";
		case 0x8453: return "GL_CURRENT_FOG_COORDINATE";
		case 0x8454: return "GL_FOG_COORDINATE_ARRAY_TYPE";
		case 0x8455: return "GL_FOG_COORDINATE_ARRAY_STRIDE";
		case 0x8456: return "GL_FOG_COORDINATE_ARRAY_POINTER";
		case 0x8457: return "GL_FOG_COORDINATE_ARRAY";
		case 0x8458: return "GL_COLOR_SUM";
		case 0x8459: return "GL_CURRENT_SECONDARY_COLOR";
		case 0x845A: return "GL_SECONDARY_COLOR_ARRAY_SIZE";
		case 0x845B: return "GL_SECONDARY_COLOR_ARRAY_TYPE";
		case 0x845C: return "GL_SECONDARY_COLOR_ARRAY_STRIDE";
		case 0x845D: return "GL_SECONDARY_COLOR_ARRAY_POINTER";
		case 0x845E: return "GL_SECONDARY_COLOR_ARRAY";
		case 0x84FD: return "GL_MAX_TEXTURE_LOD_BIAS";
		case 0x8500: return "GL_TEXTURE_FILTER_CONTROL";
		case 0x8501: return "GL_TEXTURE_LOD_BIAS";
		case 0x8507: return "GL_INCR_WRAP";
		case 0x8508: return "GL_DECR_WRAP";
		case 0x884A: return "GL_TEXTURE_DEPTH_SIZE";
		case 0x884B: return "GL_DEPTH_TEXTURE_MODE";
		case 0x884C: return "GL_TEXTURE_COMPARE_MODE";
		case 0x884D: return "GL_TEXTURE_COMPARE_FUNC";
		case 0x884E: return "GL_COMPARE_R_TO_TEXTURE";
		case 0x8764: return "GL_BUFFER_SIZE";
		case 0x8765: return "GL_BUFFER_USAGE";
		case 0x8864: return "GL_QUERY_COUNTER_BITS";
		case 0x8865: return "GL_CURRENT_QUERY";
		case 0x8866: return "GL_QUERY_RESULT";
		case 0x8867: return "GL_QUERY_RESULT_AVAILABLE";
		case 0x8892: return "GL_ARRAY_BUFFER";
		case 0x8893: return "GL_ELEMENT_ARRAY_BUFFER";
		case 0x8894: return "GL_ARRAY_BUFFER_BINDING";
		case 0x8895: return "GL_ELEMENT_ARRAY_BUFFER_BINDING";
		case 0x8896: return "GL_VERTEX_ARRAY_BUFFER_BINDING";
		case 0x8897: return "GL_NORMAL_ARRAY_BUFFER_BINDING";
		case 0x8898: return "GL_COLOR_ARRAY_BUFFER_BINDING";
		case 0x8899: return "GL_INDEX_ARRAY_BUFFER_BINDING";
		case 0x889A: return "GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING";
		case 0x889B: return "GL_EDGE_FLAG_ARRAY_BUFFER_BINDING";
		case 0x889C: return "GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING";
		case 0x889D: return "GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING";
		case 0x889E: return "GL_WEIGHT_ARRAY_BUFFER_BINDING";
		case 0x889F: return "GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING";
		case 0x88B8: return "GL_READ_ONLY";
		case 0x88B9: return "GL_WRITE_ONLY";
		case 0x88BA: return "GL_READ_WRITE";
		case 0x88BB: return "GL_BUFFER_ACCESS";
		case 0x88BC: return "GL_BUFFER_MAPPED";
		case 0x88BD: return "GL_BUFFER_MAP_POINTER";
		case 0x88E0: return "GL_STREAM_DRAW";
		case 0x88E1: return "GL_STREAM_READ";
		case 0x88E2: return "GL_STREAM_COPY";
		case 0x88E4: return "GL_STATIC_DRAW";
		case 0x88E5: return "GL_STATIC_READ";
		case 0x88E6: return "GL_STATIC_COPY";
		case 0x88E8: return "GL_DYNAMIC_DRAW";
		case 0x88E9: return "GL_DYNAMIC_READ";
		case 0x88EA: return "GL_DYNAMIC_COPY";
		case 0x8914: return "GL_SAMPLES_PASSED";
		case 0x8622: return "GL_VERTEX_ATTRIB_ARRAY_ENABLED";
		case 0x8623: return "GL_VERTEX_ATTRIB_ARRAY_SIZE";
		case 0x8624: return "GL_VERTEX_ATTRIB_ARRAY_STRIDE";
		case 0x8625: return "GL_VERTEX_ATTRIB_ARRAY_TYPE";
		case 0x8626: return "GL_CURRENT_VERTEX_ATTRIB";
		case 0x8642: return "GL_VERTEX_PROGRAM_POINT_SIZE";
		case 0x8643: return "GL_VERTEX_PROGRAM_TWO_SIDE";
		case 0x8645: return "GL_VERTEX_ATTRIB_ARRAY_POINTER";
		case 0x8800: return "GL_STENCIL_BACK_FUNC";
		case 0x8801: return "GL_STENCIL_BACK_FAIL";
		case 0x8802: return "GL_STENCIL_BACK_PASS_DEPTH_FAIL";
		case 0x8803: return "GL_STENCIL_BACK_PASS_DEPTH_PASS";
		case 0x8824: return "GL_MAX_DRAW_BUFFERS";
		case 0x8825: return "GL_DRAW_BUFFER0";
		case 0x8826: return "GL_DRAW_BUFFER1";
		case 0x8827: return "GL_DRAW_BUFFER2";
		case 0x8828: return "GL_DRAW_BUFFER3";
		case 0x8829: return "GL_DRAW_BUFFER4";
		case 0x882A: return "GL_DRAW_BUFFER5";
		case 0x882B: return "GL_DRAW_BUFFER6";
		case 0x882C: return "GL_DRAW_BUFFER7";
		case 0x882D: return "GL_DRAW_BUFFER8";
		case 0x882E: return "GL_DRAW_BUFFER9";
		case 0x882F: return "GL_DRAW_BUFFER10";
		case 0x8830: return "GL_DRAW_BUFFER11";
		case 0x8831: return "GL_DRAW_BUFFER12";
		case 0x8832: return "GL_DRAW_BUFFER13";
		case 0x8833: return "GL_DRAW_BUFFER14";
		case 0x8834: return "GL_DRAW_BUFFER15";
		case 0x883D: return "GL_BLEND_EQUATION_ALPHA";
		case 0x8861: return "GL_POINT_SPRITE";
		case 0x8862: return "GL_COORD_REPLACE";
		case 0x8869: return "GL_MAX_VERTEX_ATTRIBS";
		case 0x886A: return "GL_VERTEX_ATTRIB_ARRAY_NORMALIZED";
		case 0x8871: return "GL_MAX_TEXTURE_COORDS";
		case 0x8872: return "GL_MAX_TEXTURE_IMAGE_UNITS";
		case 0x8B30: return "GL_FRAGMENT_SHADER";
		case 0x8B31: return "GL_VERTEX_SHADER";
		case 0x8B49: return "GL_MAX_FRAGMENT_UNIFORM_COMPONENTS";
		case 0x8B4A: return "GL_MAX_VERTEX_UNIFORM_COMPONENTS";
		case 0x8B4B: return "GL_MAX_VARYING_FLOATS";
		case 0x8B4C: return "GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS";
		case 0x8B4D: return "GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS";
		case 0x8B4F: return "GL_SHADER_TYPE";
		case 0x8B50: return "GL_FLOAT_VEC2";
		case 0x8B51: return "GL_FLOAT_VEC3";
		case 0x8B52: return "GL_FLOAT_VEC4";
		case 0x8B53: return "GL_INT_VEC2";
		case 0x8B54: return "GL_INT_VEC3";
		case 0x8B55: return "GL_INT_VEC4";
		case 0x8B56: return "GL_BOOL";
		case 0x8B57: return "GL_BOOL_VEC2";
		case 0x8B58: return "GL_BOOL_VEC3";
		case 0x8B59: return "GL_BOOL_VEC4";
		case 0x8B5A: return "GL_FLOAT_MAT2";
		case 0x8B5B: return "GL_FLOAT_MAT3";
		case 0x8B5C: return "GL_FLOAT_MAT4";
		case 0x8B5D: return "GL_SAMPLER_1D";
		case 0x8B5E: return "GL_SAMPLER_2D";
		case 0x8B5F: return "GL_SAMPLER_3D";
		case 0x8B60: return "GL_SAMPLER_CUBE";
		case 0x8B61: return "GL_SAMPLER_1D_SHADOW";
		case 0x8B62: return "GL_SAMPLER_2D_SHADOW";
		case 0x8B80: return "GL_DELETE_STATUS";
		case 0x8B81: return "GL_COMPILE_STATUS";
		case 0x8B82: return "GL_LINK_STATUS";
		case 0x8B83: return "GL_VALIDATE_STATUS";
		case 0x8B84: return "GL_INFO_LOG_LENGTH";
		case 0x8B85: return "GL_ATTACHED_SHADERS";
		case 0x8B86: return "GL_ACTIVE_UNIFORMS";
		case 0x8B87: return "GL_ACTIVE_UNIFORM_MAX_LENGTH";
		case 0x8B88: return "GL_SHADER_SOURCE_LENGTH";
		case 0x8B89: return "GL_ACTIVE_ATTRIBUTES";
		case 0x8B8A: return "GL_ACTIVE_ATTRIBUTE_MAX_LENGTH";
		case 0x8B8B: return "GL_FRAGMENT_SHADER_DERIVATIVE_HINT";
		case 0x8B8C: return "GL_SHADING_LANGUAGE_VERSION";
		case 0x8B8D: return "GL_CURRENT_PROGRAM";
		case 0x8CA0: return "GL_POINT_SPRITE_COORD_ORIGIN";
		case 0x8CA1: return "GL_LOWER_LEFT";
		case 0x8CA2: return "GL_UPPER_LEFT";
		case 0x8CA3: return "GL_STENCIL_BACK_REF";
		case 0x8CA4: return "GL_STENCIL_BACK_VALUE_MASK";
		case 0x8CA5: return "GL_STENCIL_BACK_WRITEMASK";
		case 0x845F: return "GL_CURRENT_RASTER_SECONDARY_COLOR";
		case 0x88EB: return "GL_PIXEL_PACK_BUFFER";
		case 0x88EC: return "GL_PIXEL_UNPACK_BUFFER";
		case 0x88ED: return "GL_PIXEL_PACK_BUFFER_BINDING";
		case 0x88EF: return "GL_PIXEL_UNPACK_BUFFER_BINDING";
		case 0x8B65: return "GL_FLOAT_MAT2x3";
		case 0x8B66: return "GL_FLOAT_MAT2x4";
		case 0x8B67: return "GL_FLOAT_MAT3x2";
		case 0x8B68: return "GL_FLOAT_MAT3x4";
		case 0x8B69: return "GL_FLOAT_MAT4x2";
		case 0x8B6A: return "GL_FLOAT_MAT4x3";
		case 0x8C40: return "GL_SRGB";
		case 0x8C41: return "GL_SRGB8";
		case 0x8C42: return "GL_SRGB_ALPHA";
		case 0x8C43: return "GL_SRGB8_ALPHA8";
		case 0x8C44: return "GL_SLUMINANCE_ALPHA";
		case 0x8C45: return "GL_SLUMINANCE8_ALPHA8";
		case 0x8C46: return "GL_SLUMINANCE";
		case 0x8C47: return "GL_SLUMINANCE8";
		case 0x8C48: return "GL_COMPRESSED_SRGB";
		case 0x8C49: return "GL_COMPRESSED_SRGB_ALPHA";
		case 0x8C4A: return "GL_COMPRESSED_SLUMINANCE";
		case 0x8C4B: return "GL_COMPRESSED_SLUMINANCE_ALPHA";
		case 0x821B: return "GL_MAJOR_VERSION";
		case 0x821C: return "GL_MINOR_VERSION";
		case 0x821D: return "GL_NUM_EXTENSIONS";
		case 0x821E: return "GL_CONTEXT_FLAGS";
		case 0x8223: return "GL_DEPTH_BUFFER";
		case 0x8224: return "GL_STENCIL_BUFFER";
		case 0x8225: return "GL_COMPRESSED_RED";
		case 0x8226: return "GL_COMPRESSED_RG";
		case 0x8814: return "GL_RGBA32F";
		case 0x8815: return "GL_RGB32F";
		case 0x881A: return "GL_RGBA16F";
		case 0x881B: return "GL_RGB16F";
		case 0x88FD: return "GL_VERTEX_ATTRIB_ARRAY_INTEGER";
		case 0x88FF: return "GL_MAX_ARRAY_TEXTURE_LAYERS";
		case 0x8904: return "GL_MIN_PROGRAM_TEXEL_OFFSET";
		case 0x8905: return "GL_MAX_PROGRAM_TEXEL_OFFSET";
		case 0x891A: return "GL_CLAMP_VERTEX_COLOR";
		case 0x891B: return "GL_CLAMP_FRAGMENT_COLOR";
		case 0x891C: return "GL_CLAMP_READ_COLOR";
		case 0x891D: return "GL_FIXED_ONLY";
		case 0x8C10: return "GL_TEXTURE_RED_TYPE";
		case 0x8C11: return "GL_TEXTURE_GREEN_TYPE";
		case 0x8C12: return "GL_TEXTURE_BLUE_TYPE";
		case 0x8C13: return "GL_TEXTURE_ALPHA_TYPE";
		case 0x8C14: return "GL_TEXTURE_LUMINANCE_TYPE";
		case 0x8C15: return "GL_TEXTURE_INTENSITY_TYPE";
		case 0x8C16: return "GL_TEXTURE_DEPTH_TYPE";
		case 0x8C17: return "GL_UNSIGNED_NORMALIZED";
		case 0x8C18: return "GL_TEXTURE_1D_ARRAY";
		case 0x8C19: return "GL_PROXY_TEXTURE_1D_ARRAY";
		case 0x8C1A: return "GL_TEXTURE_2D_ARRAY";
		case 0x8C1B: return "GL_PROXY_TEXTURE_2D_ARRAY";
		case 0x8C1C: return "GL_TEXTURE_BINDING_1D_ARRAY";
		case 0x8C1D: return "GL_TEXTURE_BINDING_2D_ARRAY";
		case 0x8C3A: return "GL_R11F_G11F_B10F";
		case 0x8C3B: return "GL_UNSIGNED_INT_10F_11F_11F_REV";
		case 0x8C3D: return "GL_RGB9_E5";
		case 0x8C3E: return "GL_UNSIGNED_INT_5_9_9_9_REV";
		case 0x8C3F: return "GL_TEXTURE_SHARED_SIZE";
		case 0x8C76: return "GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH";
		case 0x8C7F: return "GL_TRANSFORM_FEEDBACK_BUFFER_MODE";
		case 0x8C80: return "GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS";
		case 0x8C83: return "GL_TRANSFORM_FEEDBACK_VARYINGS";
		case 0x8C84: return "GL_TRANSFORM_FEEDBACK_BUFFER_START";
		case 0x8C85: return "GL_TRANSFORM_FEEDBACK_BUFFER_SIZE";
		case 0x8C87: return "GL_PRIMITIVES_GENERATED";
		case 0x8C88: return "GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN";
		case 0x8C89: return "GL_RASTERIZER_DISCARD";
		case 0x8C8A: return "GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS";
		case 0x8C8B: return "GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS";
		case 0x8C8C: return "GL_INTERLEAVED_ATTRIBS";
		case 0x8C8D: return "GL_SEPARATE_ATTRIBS";
		case 0x8C8E: return "GL_TRANSFORM_FEEDBACK_BUFFER";
		case 0x8C8F: return "GL_TRANSFORM_FEEDBACK_BUFFER_BINDING";
		case 0x8D70: return "GL_RGBA32UI";
		case 0x8D71: return "GL_RGB32UI";
		case 0x8D76: return "GL_RGBA16UI";
		case 0x8D77: return "GL_RGB16UI";
		case 0x8D7C: return "GL_RGBA8UI";
		case 0x8D7D: return "GL_RGB8UI";
		case 0x8D82: return "GL_RGBA32I";
		case 0x8D83: return "GL_RGB32I";
		case 0x8D88: return "GL_RGBA16I";
		case 0x8D89: return "GL_RGB16I";
		case 0x8D8E: return "GL_RGBA8I";
		case 0x8D8F: return "GL_RGB8I";
		case 0x8D94: return "GL_RED_INTEGER";
		case 0x8D95: return "GL_GREEN_INTEGER";
		case 0x8D96: return "GL_BLUE_INTEGER";
		case 0x8D97: return "GL_ALPHA_INTEGER";
		case 0x8D98: return "GL_RGB_INTEGER";
		case 0x8D99: return "GL_RGBA_INTEGER";
		case 0x8D9A: return "GL_BGR_INTEGER";
		case 0x8D9B: return "GL_BGRA_INTEGER";
		case 0x8DC0: return "GL_SAMPLER_1D_ARRAY";
		case 0x8DC1: return "GL_SAMPLER_2D_ARRAY";
		case 0x8DC3: return "GL_SAMPLER_1D_ARRAY_SHADOW";
		case 0x8DC4: return "GL_SAMPLER_2D_ARRAY_SHADOW";
		case 0x8DC5: return "GL_SAMPLER_CUBE_SHADOW";
		case 0x8DC6: return "GL_UNSIGNED_INT_VEC2";
		case 0x8DC7: return "GL_UNSIGNED_INT_VEC3";
		case 0x8DC8: return "GL_UNSIGNED_INT_VEC4";
		case 0x8DC9: return "GL_INT_SAMPLER_1D";
		case 0x8DCA: return "GL_INT_SAMPLER_2D";
		case 0x8DCB: return "GL_INT_SAMPLER_3D";
		case 0x8DCC: return "GL_INT_SAMPLER_CUBE";
		case 0x8DCE: return "GL_INT_SAMPLER_1D_ARRAY";
		case 0x8DCF: return "GL_INT_SAMPLER_2D_ARRAY";
		case 0x8DD1: return "GL_UNSIGNED_INT_SAMPLER_1D";
		case 0x8DD2: return "GL_UNSIGNED_INT_SAMPLER_2D";
		case 0x8DD3: return "GL_UNSIGNED_INT_SAMPLER_3D";
		case 0x8DD4: return "GL_UNSIGNED_INT_SAMPLER_CUBE";
		case 0x8DD6: return "GL_UNSIGNED_INT_SAMPLER_1D_ARRAY";
		case 0x8DD7: return "GL_UNSIGNED_INT_SAMPLER_2D_ARRAY";
		case 0x8E13: return "GL_QUERY_WAIT";
		case 0x8E14: return "GL_QUERY_NO_WAIT";
		case 0x8E15: return "GL_QUERY_BY_REGION_WAIT";
		case 0x8E16: return "GL_QUERY_BY_REGION_NO_WAIT";
		case 0x86B2: return "GL_MULTISAMPLE_3DFX";
		case 0x86B3: return "GL_SAMPLE_BUFFERS_3DFX";
		case 0x86B4: return "GL_SAMPLES_3DFX";
		case 0x20000000: return "GL_MULTISAMPLE_BIT_3DFX";
		case 0x86B0: return "GL_COMPRESSED_RGB_FXT1_3DFX";
		case 0x86B1: return "GL_COMPRESSED_RGBA_FXT1_3DFX";
		case 0x8820: return "GL_RGBA_FLOAT_MODE_ARB";
		case 0x8CAC: return "GL_DEPTH_COMPONENT32F";
		case 0x8CAD: return "GL_DEPTH32F_STENCIL8";
		case 0x8DAD: return "GL_FLOAT_32_UNSIGNED_INT_24_8_REV";
		case 0x0506: return "GL_INVALID_FRAMEBUFFER_OPERATION";
		case 0x8210: return "GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING";
		case 0x8211: return "GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE";
		case 0x8DB9: return "GL_FRAMEBUFFER_SRGB";
		case 0x8227: return "GL_RG";
		case 0x8228: return "GL_RG_INTEGER";
		case 0x8229: return "GL_R8";
		case 0x822A: return "GL_R16";
		case 0x822B: return "GL_RG8";
		case 0x822C: return "GL_RG16";
		case 0x822D: return "GL_R16F";
		case 0x822E: return "GL_R32F";
		case 0x822F: return "GL_RG16F";
		case 0x8230: return "GL_RG32F";
		case 0x8231: return "GL_R8I";
		case 0x8232: return "GL_R8UI";
		case 0x8233: return "GL_R16I";
		case 0x8234: return "GL_R16UI";
		case 0x8235: return "GL_R32I";
		case 0x8236: return "GL_R32UI";
		case 0x8237: return "GL_RG8I";
		case 0x8238: return "GL_RG8UI";
		case 0x8239: return "GL_RG16I";
		case 0x823A: return "GL_RG16UI";
		case 0x823B: return "GL_RG32I";
		case 0x823C: return "GL_RG32UI";
		case 0x60B0: return "GL_TEXTURE_POINT_MODE_ATIX";
		case 0x60B1: return "GL_TEXTURE_POINT_ONE_COORD_ATIX";
		case 0x60B2: return "GL_TEXTURE_POINT_SPRITE_ATIX";
		case 0x60B3: return "GL_POINT_SPRITE_CULL_MODE_ATIX";
		case 0x60B4: return "GL_POINT_SPRITE_CULL_CENTER_ATIX";
		case 0x60B5: return "GL_POINT_SPRITE_CULL_CLIP_ATIX";
		case 0x8744: return "GL_MODULATE_ADD_ATIX";
		case 0x8745: return "GL_MODULATE_SIGNED_ADD_ATIX";
		case 0x8746: return "GL_MODULATE_SUBTRACT_ATIX";
		case 0x8747: return "GL_SECONDARY_COLOR_ATIX";
		case 0x8748: return "GL_TEXTURE_OUTPUT_RGB_ATIX";
		case 0x8749: return "GL_TEXTURE_OUTPUT_ALPHA_ATIX";
		case 0x610E: return "GL_OUTPUT_POINT_SIZE_ATIX";
		case 0x8779: return "GL_DUDV_ATI";
		case 0x877A: return "GL_DU8DV8_ATI";
		case 0x877B: return "GL_BUMP_ENVMAP_ATI";
		case 0x877C: return "GL_BUMP_TARGET_ATI";
		case 0x8920: return "GL_FRAGMENT_SHADER_ATI";
		case 0x8921: return "GL_REG_0_ATI";
		case 0x8922: return "GL_REG_1_ATI";
		case 0x8923: return "GL_REG_2_ATI";
		case 0x8924: return "GL_REG_3_ATI";
		case 0x8925: return "GL_REG_4_ATI";
		case 0x8926: return "GL_REG_5_ATI";
		case 0x8941: return "GL_CON_0_ATI";
		case 0x8942: return "GL_CON_1_ATI";
		case 0x8943: return "GL_CON_2_ATI";
		case 0x8944: return "GL_CON_3_ATI";
		case 0x8945: return "GL_CON_4_ATI";
		case 0x8946: return "GL_CON_5_ATI";
		case 0x8947: return "GL_CON_6_ATI";
		case 0x8948: return "GL_CON_7_ATI";
		case 0x8961: return "GL_MOV_ATI";
		case 0x8963: return "GL_ADD_ATI";
		case 0x8964: return "GL_MUL_ATI";
		case 0x8965: return "GL_SUB_ATI";
		case 0x8966: return "GL_DOT3_ATI";
		case 0x8967: return "GL_DOT4_ATI";
		case 0x8968: return "GL_MAD_ATI";
		case 0x8969: return "GL_LERP_ATI";
		case 0x896A: return "GL_CND_ATI";
		case 0x896B: return "GL_CND0_ATI";
		case 0x896C: return "GL_DOT2_ADD_ATI";
		case 0x896D: return "GL_SECONDARY_INTERPOLATOR_ATI";
		case 0x896E: return "GL_NUM_FRAGMENT_REGISTERS_ATI";
		case 0x896F: return "GL_NUM_FRAGMENT_CONSTANTS_ATI";
		case 0x8970: return "GL_NUM_PASSES_ATI";
		case 0x8971: return "GL_NUM_INSTRUCTIONS_PER_PASS_ATI";
		case 0x8972: return "GL_NUM_INSTRUCTIONS_TOTAL_ATI";
		case 0x8973: return "GL_NUM_INPUT_INTERPOLATOR_COMPONENTS_ATI";
		case 0x8974: return "GL_NUM_LOOPBACK_COMPONENTS_ATI";
		case 0x8975: return "GL_COLOR_ALPHA_PAIRING_ATI";
		case 0x8976: return "GL_SWIZZLE_STR_ATI";
		case 0x8977: return "GL_SWIZZLE_STQ_ATI";
		case 0x8978: return "GL_SWIZZLE_STR_DR_ATI";
		case 0x8979: return "GL_SWIZZLE_STQ_DQ_ATI";
		case 0x897A: return "GL_SWIZZLE_STRQ_ATI";
		case 0x897B: return "GL_SWIZZLE_STRQ_DQ_ATI";
		case 0x87F0: return "GL_PN_TRIANGLES_ATI";
		case 0x87F1: return "GL_MAX_PN_TRIANGLES_TESSELATION_LEVEL_ATI";
		case 0x87F2: return "GL_PN_TRIANGLES_POINT_MODE_ATI";
		case 0x87F3: return "GL_PN_TRIANGLES_NORMAL_MODE_ATI";
		case 0x87F4: return "GL_PN_TRIANGLES_TESSELATION_LEVEL_ATI";
		case 0x87F5: return "GL_PN_TRIANGLES_POINT_MODE_LINEAR_ATI";
		case 0x87F6: return "GL_PN_TRIANGLES_POINT_MODE_CUBIC_ATI";
		case 0x87F7: return "GL_PN_TRIANGLES_NORMAL_MODE_LINEAR_ATI";
		case 0x87F8: return "GL_PN_TRIANGLES_NORMAL_MODE_QUADRATIC_ATI";
		case 0x80CC: return "GL_422_EXT";
		case 0x80CD: return "GL_422_REV_EXT";
		case 0x80CE: return "GL_422_AVERAGE_EXT";
		case 0x80CF: return "GL_422_REV_AVERAGE_EXT";
		case 0x890E: return "GL_CG_VERTEX_SHADER_EXT";
		case 0x890F: return "GL_CG_FRAGMENT_SHADER_EXT";
		case 0x8000: return "GL_ABGR_EXT";
		case 0x843E: return "GL_TANGENT_ARRAY_TYPE_EXT";
		case 0x843F: return "GL_TANGENT_ARRAY_STRIDE_EXT";
		case 0x8440: return "GL_BINORMAL_ARRAY_TYPE_EXT";
		case 0x8441: return "GL_BINORMAL_ARRAY_STRIDE_EXT";
		case 0x8442: return "GL_TANGENT_ARRAY_POINTER_EXT";
		case 0x8443: return "GL_BINORMAL_ARRAY_POINTER_EXT";
		case 0x8444: return "GL_MAP1_TANGENT_EXT";
		case 0x8445: return "GL_MAP2_TANGENT_EXT";
		case 0x8446: return "GL_MAP1_BINORMAL_EXT";
		case 0x8447: return "GL_MAP2_BINORMAL_EXT";
		case 0x8890: return "GL_DEPTH_BOUNDS_TEST_EXT";
		case 0x8891: return "GL_DEPTH_BOUNDS_EXT";
		case 0x8E2D: return "GL_PROGRAM_MATRIX_EXT";
		case 0x8E2E: return "GL_TRANSPOSE_PROGRAM_MATRIX_EXT";
		case 0x8E2F: return "GL_PROGRAM_MATRIX_STACK_DEPTH_EXT";
		case 0x83F0: return "GL_COMPRESSED_RGB_S3TC_DXT1_EXT";
		case 0x83F1: return "GL_COMPRESSED_RGBA_S3TC_DXT1_EXT";
		case 0x8C70: return "GL_COMPRESSED_LUMINANCE_LATC1_EXT";
		case 0x8C71: return "GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_EXT";
		case 0x8C72: return "GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_EXT";
		case 0x8C73: return "GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_EXT";
		case 0x8DBB: return "GL_COMPRESSED_RED_RGTC1_EXT";
		case 0x8DBC: return "GL_COMPRESSED_SIGNED_RED_RGTC1_EXT";
		case 0x8DBD: return "GL_COMPRESSED_RED_GREEN_RGTC2_EXT";
		case 0x8DBE: return "GL_COMPRESSED_SIGNED_RED_GREEN_RGTC2_EXT";
		case 0x84FF: return "GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT";
		case 0x8D87: return "GL_LUMINANCE_ALPHA32I_EXT";
		case 0x8165: return "GL_OCCLUSION_TEST_HP";
		case 0x8166: return "GL_OCCLUSION_TEST_RESULT_HP";
		case 0x83F4: return "GL_PARALLEL_ARRAYS_INTEL";
		case 0x83F5: return "GL_VERTEX_ARRAY_PARALLEL_POINTERS_INTEL";
		case 0x83F6: return "GL_NORMAL_ARRAY_PARALLEL_POINTERS_INTEL";
		case 0x83F7: return "GL_COLOR_ARRAY_PARALLEL_POINTERS_INTEL";
		case 0x83F8: return "GL_TEXTURE_COORD_ARRAY_PARALLEL_POINTERS_INTEL";
		case 0x8759: return "GL_TEXTURE_1D_STACK_MESAX";
		case 0x875A: return "GL_TEXTURE_2D_STACK_MESAX";
		case 0x875B: return "GL_PROXY_TEXTURE_1D_STACK_MESAX";
		case 0x875C: return "GL_PROXY_TEXTURE_2D_STACK_MESAX";
		case 0x875D: return "GL_TEXTURE_1D_STACK_BINDING_MESAX";
		case 0x875E: return "GL_TEXTURE_2D_STACK_BINDING_MESAX";
		case 0x8758: return "GL_PACK_INVERT_MESA";
		case 0x85BA: return "GL_UNSIGNED_SHORT_8_8_MESA";
		case 0x85BB: return "GL_UNSIGNED_SHORT_8_8_REV_MESA";
		case 0x8757: return "GL_YCBCR_MESA";
		case 0x886E: return "GL_DEPTH_STENCIL_TO_RGBA_NV";
		case 0x886F: return "GL_DEPTH_STENCIL_TO_BGRA_NV";
		case 0x8DAB: return "GL_DEPTH_COMPONENT32F_NV";
		case 0x8DAC: return "GL_DEPTH32F_STENCIL8_NV";
		case 0x8DAF: return "GL_DEPTH_BUFFER_FLOAT_MODE_NV";
		case 0x864F: return "GL_DEPTH_CLAMP_NV";
		case 0x86C2: return "GL_MAP_TESSELLATION_NV";
		case 0x86C3: return "GL_MAP_ATTRIB_U_ORDER_NV";
		case 0x86C4: return "GL_MAP_ATTRIB_V_ORDER_NV";
		case 0x86C5: return "GL_EVAL_FRACTIONAL_TESSELLATION_NV";
		case 0x86C6: return "GL_EVAL_VERTEX_ATTRIB0_NV";
		case 0x86C7: return "GL_EVAL_VERTEX_ATTRIB1_NV";
		case 0x86C8: return "GL_EVAL_VERTEX_ATTRIB2_NV";
		case 0x86C9: return "GL_EVAL_VERTEX_ATTRIB3_NV";
		case 0x86CA: return "GL_EVAL_VERTEX_ATTRIB4_NV";
		case 0x86CB: return "GL_EVAL_VERTEX_ATTRIB5_NV";
		case 0x86CC: return "GL_EVAL_VERTEX_ATTRIB6_NV";
		case 0x86CD: return "GL_EVAL_VERTEX_ATTRIB7_NV";
		case 0x86CE: return "GL_EVAL_VERTEX_ATTRIB8_NV";
		case 0x86CF: return "GL_EVAL_VERTEX_ATTRIB9_NV";
		case 0x86D0: return "GL_EVAL_VERTEX_ATTRIB10_NV";
		case 0x86D1: return "GL_EVAL_VERTEX_ATTRIB11_NV";
		case 0x86D2: return "GL_EVAL_VERTEX_ATTRIB12_NV";
		case 0x86D3: return "GL_EVAL_VERTEX_ATTRIB13_NV";
		case 0x86D4: return "GL_EVAL_VERTEX_ATTRIB14_NV";
		case 0x86D5: return "GL_EVAL_VERTEX_ATTRIB15_NV";
		case 0x86D6: return "GL_MAX_MAP_TESSELLATION_NV";
		case 0x86D7: return "GL_MAX_RATIONAL_EVAL_ORDER_NV";
		case 0x8E50: return "GL_SAMPLE_POSITION_NV";
		case 0x8E51: return "GL_SAMPLE_MASK_NV";
		case 0x8E52: return "GL_SAMPLE_MASK_VALUE_NV";
		case 0x8E53: return "GL_TEXTURE_BINDING_RENDERBUFFER_NV";
		case 0x8E54: return "GL_TEXTURE_RENDERBUFFER_DATA_STORE_BINDING_NV";
		case 0x8E55: return "GL_TEXTURE_RENDERBUFFER_NV";
		case 0x8E56: return "GL_SAMPLER_RENDERBUFFER_NV";
		case 0x8E57: return "GL_INT_SAMPLER_RENDERBUFFER_NV";
		case 0x8E58: return "GL_UNSIGNED_INT_SAMPLER_RENDERBUFFER_NV";
		case 0x8E59: return "GL_MAX_SAMPLE_MASK_WORDS_NV";
		case 0x84F2: return "GL_ALL_COMPLETED_NV";
		case 0x84F3: return "GL_FENCE_STATUS_NV";
		case 0x84F4: return "GL_FENCE_CONDITION_NV";
		case 0x8880: return "GL_FLOAT_R_NV";
		case 0x8881: return "GL_FLOAT_RG_NV";
		case 0x8882: return "GL_FLOAT_RGB_NV";
		case 0x8883: return "GL_FLOAT_RGBA_NV";
		case 0x8884: return "GL_FLOAT_R16_NV";
		case 0x8885: return "GL_FLOAT_R32_NV";
		case 0x8886: return "GL_FLOAT_RG16_NV";
		case 0x8887: return "GL_FLOAT_RG32_NV";
		case 0x8888: return "GL_FLOAT_RGB16_NV";
		case 0x8889: return "GL_FLOAT_RGB32_NV";
		case 0x888A: return "GL_FLOAT_RGBA16_NV";
		case 0x888B: return "GL_FLOAT_RGBA32_NV";
		case 0x888C: return "GL_TEXTURE_FLOAT_COMPONENTS_NV";
		case 0x888D: return "GL_FLOAT_CLEAR_COLOR_VALUE_NV";
		case 0x888E: return "GL_FLOAT_RGBA_MODE_NV";
		case 0x855A: return "GL_FOG_DISTANCE_MODE_NV";
		case 0x855B: return "GL_EYE_RADIAL_NV";
		case 0x855C: return "GL_EYE_PLANE_ABSOLUTE_NV";
		case 0x8868: return "GL_MAX_FRAGMENT_PROGRAM_LOCAL_PARAMETERS_NV";
		case 0x8870: return "GL_FRAGMENT_PROGRAM_NV";
		case 0x84FA: return "GL_UNSIGNED_INT_24_8_NV";
		case 0x8DA0: return "GL_MAX_PROGRAM_PARAMETER_BUFFER_BINDINGS_NV";
		case 0x8DA1: return "GL_MAX_PROGRAM_PARAMETER_BUFFER_SIZE_NV";
		case 0x8DA2: return "GL_VERTEX_PROGRAM_PARAMETER_BUFFER_NV";
		case 0x8DA3: return "GL_GEOMETRY_PROGRAM_PARAMETER_BUFFER_NV";
		case 0x8DA4: return "GL_FRAGMENT_PROGRAM_PARAMETER_BUFFER_NV";
		case 0x8878: return "GL_WRITE_PIXEL_DATA_RANGE_NV";
		case 0x8879: return "GL_READ_PIXEL_DATA_RANGE_NV";
		case 0x887A: return "GL_WRITE_PIXEL_DATA_RANGE_LENGTH_NV";
		case 0x887B: return "GL_READ_PIXEL_DATA_RANGE_LENGTH_NV";
		case 0x887C: return "GL_WRITE_PIXEL_DATA_RANGE_POINTER_NV";
		case 0x887D: return "GL_READ_PIXEL_DATA_RANGE_POINTER_NV";
		case 0x8549: return "GL_COMBINER_BIAS_NV";
		case 0x854A: return "GL_COMBINER_AB_OUTPUT_NV";
		case 0x854B: return "GL_COMBINER_CD_OUTPUT_NV";
		case 0x854C: return "GL_COMBINER_SUM_OUTPUT_NV";
		case 0x854D: return "GL_MAX_GENERAL_COMBINERS_NV";
		case 0x854E: return "GL_NUM_GENERAL_COMBINERS_NV";
		case 0x854F: return "GL_COLOR_SUM_CLAMP_NV";
		case 0x8550: return "GL_COMBINER0_NV";
		case 0x8551: return "GL_COMBINER1_NV";
		case 0x8552: return "GL_COMBINER2_NV";
		case 0x8553: return "GL_COMBINER3_NV";
		case 0x8554: return "GL_COMBINER4_NV";
		case 0x8555: return "GL_COMBINER5_NV";
		case 0x8556: return "GL_COMBINER6_NV";
		case 0x8557: return "GL_COMBINER7_NV";
		case 0x8535: return "GL_PER_STAGE_CONSTANTS_NV";
		case 0x855D: return "GL_EMBOSS_LIGHT_NV";
		case 0x855E: return "GL_EMBOSS_CONSTANT_NV";
		case 0x855F: return "GL_EMBOSS_MAP_NV";
		case 0x888F: return "GL_TEXTURE_UNSIGNED_REMAP_MODE_NV";
		case 0x84F5: return "GL_TEXTURE_RECTANGLE_NV";
		case 0x84F6: return "GL_TEXTURE_BINDING_RECTANGLE_NV";
		case 0x84F7: return "GL_PROXY_TEXTURE_RECTANGLE_NV";
		case 0x84F8: return "GL_MAX_RECTANGLE_TEXTURE_SIZE_NV";
		case 0x864C: return "GL_OFFSET_TEXTURE_RECTANGLE_NV";
		case 0x864D: return "GL_OFFSET_TEXTURE_RECTANGLE_SCALE_NV";
		case 0x864E: return "GL_DOT_PRODUCT_TEXTURE_RECTANGLE_NV";
		case 0x86D9: return "GL_RGBA_UNSIGNED_DOT_PRODUCT_MAPPING_NV";
		case 0x86DA: return "GL_UNSIGNED_INT_S8_S8_8_8_NV";
		case 0x86DB: return "GL_UNSIGNED_INT_8_8_S8_S8_REV_NV";
		case 0x86DC: return "GL_DSDT_MAG_INTENSITY_NV";
		case 0x86DD: return "GL_SHADER_CONSISTENT_NV";
		case 0x86DE: return "GL_TEXTURE_SHADER_NV";
		case 0x86DF: return "GL_SHADER_OPERATION_NV";
		case 0x86E0: return "GL_CULL_MODES_NV";
		case 0x86E1: return "GL_OFFSET_TEXTURE_2D_MATRIX_NV";
		case 0x86F5: return "GL_DSDT_NV";
		case 0x86F6: return "GL_DSDT_MAG_NV";
		case 0x86F7: return "GL_DSDT_MAG_VIB_NV";
		case 0x86F8: return "GL_HILO16_NV";
		case 0x86F9: return "GL_SIGNED_HILO_NV";
		case 0x86FA: return "GL_SIGNED_HILO16_NV";
		case 0x86FB: return "GL_SIGNED_RGBA_NV";
		case 0x86FC: return "GL_SIGNED_RGBA8_NV";
		case 0x86FE: return "GL_SIGNED_RGB_NV";
		case 0x86FF: return "GL_SIGNED_RGB8_NV";
		case 0x8701: return "GL_SIGNED_LUMINANCE_NV";
		case 0x8702: return "GL_SIGNED_LUMINANCE8_NV";
		case 0x8703: return "GL_SIGNED_LUMINANCE_ALPHA_NV";
		case 0x8704: return "GL_SIGNED_LUMINANCE8_ALPHA8_NV";
		case 0x8705: return "GL_SIGNED_ALPHA_NV";
		case 0x8706: return "GL_SIGNED_ALPHA8_NV";
		case 0x8707: return "GL_SIGNED_INTENSITY_NV";
		case 0x8708: return "GL_SIGNED_INTENSITY8_NV";
		case 0x8709: return "GL_DSDT8_NV";
		case 0x870A: return "GL_DSDT8_MAG8_NV";
		case 0x870B: return "GL_DSDT8_MAG8_INTENSITY8_NV";
		case 0x870C: return "GL_SIGNED_RGB_UNSIGNED_ALPHA_NV";
		case 0x870D: return "GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV";
		case 0x870E: return "GL_HI_SCALE_NV";
		case 0x870F: return "GL_LO_SCALE_NV";
		case 0x8710: return "GL_DS_SCALE_NV";
		case 0x8711: return "GL_DT_SCALE_NV";
		case 0x8712: return "GL_MAGNITUDE_SCALE_NV";
		case 0x8713: return "GL_VIBRANCE_SCALE_NV";
		case 0x8714: return "GL_HI_BIAS_NV";
		case 0x8715: return "GL_LO_BIAS_NV";
		case 0x8716: return "GL_DS_BIAS_NV";
		case 0x8717: return "GL_DT_BIAS_NV";
		case 0x8718: return "GL_MAGNITUDE_BIAS_NV";
		case 0x8719: return "GL_VIBRANCE_BIAS_NV";
		case 0x871A: return "GL_TEXTURE_BORDER_VALUES_NV";
		case 0x871B: return "GL_TEXTURE_HI_SIZE_NV";
		case 0x871C: return "GL_TEXTURE_LO_SIZE_NV";
		case 0x871D: return "GL_TEXTURE_DS_SIZE_NV";
		case 0x871E: return "GL_TEXTURE_DT_SIZE_NV";
		case 0x871F: return "GL_TEXTURE_MAG_SIZE_NV";
		case 0x86F4: return "GL_HILO_NV";
		case 0x8854: return "GL_OFFSET_HILO_TEXTURE_2D_NV";
		case 0x8855: return "GL_OFFSET_HILO_TEXTURE_RECTANGLE_NV";
		case 0x8856: return "GL_OFFSET_HILO_PROJECTIVE_TEXTURE_2D_NV";
		case 0x8857: return "GL_OFFSET_HILO_PROJECTIVE_TEXTURE_RECTANGLE_NV";
		case 0x8858: return "GL_DEPENDENT_HILO_TEXTURE_2D_NV";
		case 0x8859: return "GL_DEPENDENT_RGB_TEXTURE_3D_NV";
		case 0x885A: return "GL_DEPENDENT_RGB_TEXTURE_CUBE_MAP_NV";
		case 0x885B: return "GL_DOT_PRODUCT_PASS_THROUGH_NV";
		case 0x885C: return "GL_DOT_PRODUCT_TEXTURE_1D_NV";
		case 0x885D: return "GL_DOT_PRODUCT_AFFINE_DEPTH_REPLACE_NV";
		case 0x885E: return "GL_HILO8_NV";
		case 0x885F: return "GL_SIGNED_HILO8_NV";
		case 0x8860: return "GL_FORCE_BLUE_TO_ONE_NV";
		case 0x8C77: return "GL_BACK_PRIMARY_COLOR_NV";
		case 0x8C78: return "GL_BACK_SECONDARY_COLOR_NV";
		case 0x8C79: return "GL_TEXTURE_COORD_NV";
		case 0x8C7A: return "GL_CLIP_DISTANCE_NV";
		case 0x8C7B: return "GL_VERTEX_ID_NV";
		case 0x8C7C: return "GL_PRIMITIVE_ID_NV";
		case 0x8C7D: return "GL_GENERIC_ATTRIB_NV";
		case 0x8C7E: return "GL_TRANSFORM_FEEDBACK_ATTRIBS_NV";
		case 0x8B90: return "GL_PALETTE4_RGB8_OES";
		case 0x8B91: return "GL_PALETTE4_RGBA8_OES";
		case 0x8B92: return "GL_PALETTE4_R5_G6_B5_OES";
		case 0x8B93: return "GL_PALETTE4_RGBA4_OES";
		case 0x8B94: return "GL_PALETTE4_RGB5_A1_OES";
		case 0x8B95: return "GL_PALETTE8_RGB8_OES";
		case 0x8B96: return "GL_PALETTE8_RGBA8_OES";
		case 0x8B97: return "GL_PALETTE8_R5_G6_B5_OES";
		case 0x8B98: return "GL_PALETTE8_RGBA4_OES";
		case 0x8B99: return "GL_PALETTE8_RGB5_A1_OES";
		case 0x8B9A: return "GL_IMPLEMENTATION_COLOR_READ_TYPE_OES";
		case 0x8B9B: return "GL_IMPLEMENTATION_COLOR_READ_FORMAT_OES";
		case 0x8980: return "GL_INTERLACE_OML";
		case 0x8981: return "GL_INTERLACE_READ_OML";
		case 0x8984: return "GL_PACK_RESAMPLE_OML";
		case 0x8985: return "GL_UNPACK_RESAMPLE_OML";
		case 0x8986: return "GL_RESAMPLE_REPLICATE_OML";
		case 0x8987: return "GL_RESAMPLE_ZERO_FILL_OML";
		case 0x8988: return "GL_RESAMPLE_AVERAGE_OML";
		case 0x8989: return "GL_RESAMPLE_DECIMATE_OML";
		case 0x8982: return "GL_FORMAT_SUBSAMPLE_24_24_OML";
		case 0x8983: return "GL_FORMAT_SUBSAMPLE_244_244_OML";
		case 0x8490: return "GL_SCREEN_COORDINATES_REND";
		case 0x8491: return "GL_INVERTED_SCREEN_W_REND";
		case 0x83A0: return "GL_RGB_S3TC";
		case 0x83A1: return "GL_RGB4_S3TC";
		case 0x83A2: return "GL_RGBA_S3TC";
		case 0x83A3: return "GL_RGBA4_S3TC";
		case 0x83A4: return "GL_RGBA_DXT5_S3TC";
		case 0x83A5: return "GL_RGBA4_DXT5_S3TC";
		case 0x85A5: return "GL_EXTENDED_RANGE_SGIS";
		case 0x85A6: return "GL_MIN_RED_SGIS";
		case 0x85A7: return "GL_MAX_RED_SGIS";
		case 0x85A8: return "GL_MIN_GREEN_SGIS";
		case 0x85A9: return "GL_MAX_GREEN_SGIS";
		case 0x85AA: return "GL_MIN_BLUE_SGIS";
		case 0x85AB: return "GL_MAX_BLUE_SGIS";
		case 0x85AC: return "GL_MIN_ALPHA_SGIS";
		case 0x85AD: return "GL_MAX_ALPHA_SGIS";
		case 0x8433: return "GL_RESAMPLE_REPLICATE_SGIX";
		case 0x8434: return "GL_RESAMPLE_ZERO_FILL_SGIX";
		case 0x819A: return "GL_TEXTURE_COMPARE_SGIX";
		case 0x819B: return "GL_TEXTURE_COMPARE_OPERATOR_SGIX";
		case 0x819C: return "GL_TEXTURE_LEQUAL_R_SGIX";
		case 0x819D: return "GL_TEXTURE_GEQUAL_R_SGIX";
		case 0x80BF: return "GL_SHADOW_AMBIENT_SGIX";
		case 0x8369: return "GL_TEXTURE_MAX_CLAMP_S_SGIX";
		case 0x836A: return "GL_TEXTURE_MAX_CLAMP_T_SGIX";
		case 0x836B: return "GL_TEXTURE_MAX_CLAMP_R_SGIX";
		case 0x812E: return "GL_TEXTURE_MULTI_BUFFER_HINT_SGIX";
		case 0x85E0: return "GL_RGB_SIGNED_SGIX";
		case 0x85E1: return "GL_RGBA_SIGNED_SGIX";
		case 0x85E2: return "GL_ALPHA_SIGNED_SGIX";
		case 0x85E3: return "GL_LUMINANCE_SIGNED_SGIX";
		case 0x85E4: return "GL_INTENSITY_SIGNED_SGIX";
		case 0x85E5: return "GL_LUMINANCE_ALPHA_SIGNED_SGIX";
		case 0x85E6: return "GL_RGB16_SIGNED_SGIX";
		case 0x85E7: return "GL_RGBA16_SIGNED_SGIX";
		case 0x85E8: return "GL_ALPHA16_SIGNED_SGIX";
		case 0x85E9: return "GL_LUMINANCE16_SIGNED_SGIX";
		case 0x85EA: return "GL_INTENSITY16_SIGNED_SGIX";
		case 0x85EB: return "GL_LUMINANCE16_ALPHA16_SIGNED_SGIX";
		case 0x85EC: return "GL_RGB_EXTENDED_RANGE_SGIX";
		case 0x85ED: return "GL_RGBA_EXTENDED_RANGE_SGIX";
		case 0x85EE: return "GL_ALPHA_EXTENDED_RANGE_SGIX";
		case 0x85EF: return "GL_LUMINANCE_EXTENDED_RANGE_SGIX";
		case 0x85F0: return "GL_INTENSITY_EXTENDED_RANGE_SGIX";
		case 0x85F1: return "GL_LUMINANCE_ALPHA_EXTENDED_RANGE_SGIX";
		case 0x85F2: return "GL_RGB16_EXTENDED_RANGE_SGIX";
		case 0x85F3: return "GL_RGBA16_EXTENDED_RANGE_SGIX";
		case 0x85F4: return "GL_ALPHA16_EXTENDED_RANGE_SGIX";
		case 0x85F5: return "GL_LUMINANCE16_EXTENDED_RANGE_SGIX";
		case 0x85F6: return "GL_INTENSITY16_EXTENDED_RANGE_SGIX";
		case 0x85F7: return "GL_LUMINANCE16_ALPHA16_EXTENDED_RANGE_SGIX";
		case 0x85F8: return "GL_MIN_LUMINANCE_SGIS";
		case 0x85F9: return "GL_MAX_LUMINANCE_SGIS";
		case 0x85FA: return "GL_MIN_INTENSITY_SGIS";
		case 0x85FB: return "GL_MAX_INTENSITY_SGIS";
		case 0x8179: return "GL_POST_TEXTURE_FILTER_BIAS_SGIX";
		case 0x817A: return "GL_POST_TEXTURE_FILTER_SCALE_SGIX";
		case 0x817B: return "GL_POST_TEXTURE_FILTER_BIAS_RANGE_SGIX";
		case 0x817C: return "GL_POST_TEXTURE_FILTER_SCALE_RANGE_SGIX";
		case 0x83EE: return "GL_VERTEX_PRECLIP_SGIX";
		case 0x83EF: return "GL_VERTEX_PRECLIP_HINT_SGIX";
		case 0x80B1: return "GL_COLOR_MATRIX_SGI";
		case 0x80B2: return "GL_COLOR_MATRIX_STACK_DEPTH_SGI";
		case 0x80B3: return "GL_MAX_COLOR_MATRIX_STACK_DEPTH_SGI";
		case 0x80B4: return "GL_POST_COLOR_MATRIX_RED_SCALE_SGI";
		case 0x80B5: return "GL_POST_COLOR_MATRIX_GREEN_SCALE_SGI";
		case 0x80B6: return "GL_POST_COLOR_MATRIX_BLUE_SCALE_SGI";
		case 0x80B7: return "GL_POST_COLOR_MATRIX_ALPHA_SCALE_SGI";
		case 0x80B8: return "GL_POST_COLOR_MATRIX_RED_BIAS_SGI";
		case 0x80B9: return "GL_POST_COLOR_MATRIX_GREEN_BIAS_SGI";
		case 0x80BA: return "GL_POST_COLOR_MATRIX_BLUE_BIAS_SGI";
		case 0x80BB: return "GL_POST_COLOR_MATRIX_ALPHA_BIAS_SGI";
		case 0x80D0: return "GL_COLOR_TABLE_SGI";
		case 0x80D1: return "GL_POST_CONVOLUTION_COLOR_TABLE_SGI";
		case 0x80D2: return "GL_POST_COLOR_MATRIX_COLOR_TABLE_SGI";
		case 0x80D3: return "GL_PROXY_COLOR_TABLE_SGI";
		case 0x80D4: return "GL_PROXY_POST_CONVOLUTION_COLOR_TABLE_SGI";
		case 0x80D5: return "GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE_SGI";
		case 0x80D6: return "GL_COLOR_TABLE_SCALE_SGI";
		case 0x80D7: return "GL_COLOR_TABLE_BIAS_SGI";
		case 0x80D8: return "GL_COLOR_TABLE_FORMAT_SGI";
		case 0x80D9: return "GL_COLOR_TABLE_WIDTH_SGI";
		case 0x80DA: return "GL_COLOR_TABLE_RED_SIZE_SGI";
		case 0x80DB: return "GL_COLOR_TABLE_GREEN_SIZE_SGI";
		case 0x80DC: return "GL_COLOR_TABLE_BLUE_SIZE_SGI";
		case 0x80DD: return "GL_COLOR_TABLE_ALPHA_SIZE_SGI";
		case 0x80DE: return "GL_COLOR_TABLE_LUMINANCE_SIZE_SGI";
		case 0x80DF: return "GL_COLOR_TABLE_INTENSITY_SIZE_SGI";
		case 0x80BC: return "GL_TEXTURE_COLOR_TABLE_SGI";
		case 0x80BD: return "GL_PROXY_TEXTURE_COLOR_TABLE_SGI";
		case 0x81D5: return "GL_UNPACK_CONSTANT_DATA_SUNX";
		case 0x81D6: return "GL_TEXTURE_CONSTANT_DATA_SUNX";
		case 0x81D4: return "GL_WRAP_BORDER_SUN";
		case 0x81D9: return "GL_GLOBAL_ALPHA_SUN";
		case 0x81DA: return "GL_GLOBAL_ALPHA_FACTOR_SUN";
		case 0x8614: return "GL_QUAD_MESH_SUN";
		case 0x8615: return "GL_TRIANGLE_MESH_SUN";
		case 0x85CC: return "GL_SLICE_ACCUM_SUN";
		case 0x81D7: return "GL_TRIANGLE_LIST_SUN";
		case 0x81D8: return "GL_REPLACEMENT_CODE_SUN";
		case 0x85C0: return "GL_REPLACEMENT_CODE_ARRAY_SUN";
		case 0x85C1: return "GL_REPLACEMENT_CODE_ARRAY_TYPE_SUN";
		case 0x85C2: return "GL_REPLACEMENT_CODE_ARRAY_STRIDE_SUN";
		case 0x85C3: return "GL_REPLACEMENT_CODE_ARRAY_POINTER_SUN";
		case 0x85C4: return "GL_R1UI_V3F_SUN";
		case 0x85C5: return "GL_R1UI_C4UB_V3F_SUN";
		case 0x85C6: return "GL_R1UI_C3F_V3F_SUN";
		case 0x85C7: return "GL_R1UI_N3F_V3F_SUN";
		case 0x85C8: return "GL_R1UI_C4F_N3F_V3F_SUN";
		case 0x85C9: return "GL_R1UI_T2F_V3F_SUN";
		case 0x85CA: return "GL_R1UI_T2F_N3F_V3F_SUN";
		case 0x85CB: return "GL_R1UI_T2F_C4F_N3F_V3F_SUN";
		case 0x80EA: return "GL_PHONG_WIN";
		case 0x80EB: return "GL_PHONG_HINT_WIN";
		case 0x80EC: return "GL_FOG_SPECULAR_TEXTURE_WIN";
                default: return "UNKNOWN";
                }
}
